Bug 178690 - pointer grabbed during panel icon drag, won't release --> hung GUI
pointer grabbed during panel icon drag, won't release --> hung GUI
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 10:33 EST by Charles R. Anderson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 18:11:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2006-01-23 10:33:04 EST
Description of problem:

When dragging launcher icons around the panel with the left mouse button,
occasionally a "note" icon appears, the pointer changes to a "+" or "window
resize" pointer, and it gets stuck that way.  When this happens, the pointer is
stuck grabbed by gnome-panel, and the entire GUI is locked.  The mouse pointer
still moves around, but it cannot perform any actions.  Also, if you are lucky
enough to have an application that has focus such as gnome-terminal, you can
still use the keyboard with that application for a while, but soon that locks up
too.  If you killall gnome-panel, the GUI becomes unfrozen and gnome-panel
reloads fine.

Version-Release number of selected component (if applicable):
2.10.1-10.2

How reproducible:
always

Steps to Reproduce:
1. Delete any gnome-terminal launchers you may have on your panel
2. Applications->System Tools
3. Right click "Terminal" and select "Add this launcher to panel"
4. Using the left mouse button, drag the new Terminal launcher around within and
outside of the panel, dropping it within the panel.  Here you will sometimes see
the "note" icon being dragged and the pointer icon changes.  The pointer is
stuck in an unusable state now.
5. From a text console, log in and type "killall gnome-panel".  Switch back to X
and notice that the pointer can be used again.

Actual results:
It is very easy to start clicking/dragging around in the panel and cause the GUI
to lock up.

Expected results:
The GUI shouldn't lock up by simple click and drag operations.
Comment 1 Christian Iseli 2007-01-22 05:56:41 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Charles R. Anderson 2007-04-16 18:11:44 EDT
No problems with gnome-panel-2.18.0-9.fc7.  Closing.

Note You need to log in before you can comment on or make changes to this bug.